#include <stdio.h>
#include <stdlib.h>

int main(int argc,char **argv)
{
  unsigned char *data;
  FILE *hand;
  int len,read;
  int i;

  if (argc!=3) { printf ("syntax: %s <in> <out>\n",argv[0]); return 1; }

  hand=fopen(argv[1],"rb");
  if (hand==NULL)
  { printf ("Error opening %s\n",argv[1]); return 1; }

  fseek(hand,0,SEEK_END);
  len=ftell(hand);
  if (len<=0)
  { printf ("Not converting: len was %d\n",len); return 0; }

  data=(unsigned char *)malloc(len);
  if (data==NULL)
  { printf ("Error reserving %d bytes\n",len); exit(1); }

  fseek(hand,0,SEEK_SET);

  read=fread(data,1,len,hand);
  if (read!=len)
  { printf ("Error - read %d/%d bytes\n",read,len); exit(1); }

  fclose(hand);

  hand=fopen(argv[2],"wb");
  if (hand==NULL)
  { printf ("Error creating %s\n",argv[2]); return 1; }

  for (i=0;i<len;i++)
  {
    static char rc[3]="\r\n";
    int replace=0;

    if (data[i]=='\n') replace=1;

    if (replace) fwrite(rc,1,2,hand);
    else fwrite(data+i,1,1,hand);
  }
  fclose(hand);

  return 0;
}
